from twisted.spread import pb
from twisted.internet import reactor
from twisted.python import util

from reg import get_option

import sys
factory = pb.PBClientFactory()
port = int(get_option(r'Software\Eole\Scribe', 'port_utilisateur'))
reactor.connectTCP("localhost", port, factory)
d = factory.getRootObject()
fctn = sys.argv[1]
d.addCallback(lambda object: object.callRemote(fctn))
d.addCallback(lambda echo: echo)
d.addErrback(lambda reason: 'error: '+str(reason.value))
d.addCallback(util.println)
d.addCallback(lambda _: reactor.stop())
reactor.run()
